=== examples/sample.source.RRC/Makefile ===
ASN_MODULE_SOURCES=	\
	DL-DCCH-Message.c	\
	DL-DCCH-MessageType.c	\
	UL-DCCH-Message.c	\
	UL-DCCH-MessageType.c	\
	DL-CCCH-Message.c	\
	DL-CCCH-MessageType.c	\
	UL-CCCH-Message.c	\
	UL-CCCH-MessageType.c	\
	PCCH-Message.c	\
	PCCH-MessageType.c	\
	DL-SHCCH-Message.c	\
	DL-SHCCH-MessageType.c	\
	UL-SHCCH-Message.c	\
	UL-SHCCH-MessageType.c	\
	BCCH-FACH-Message.c	\
	BCCH-FACH-MessageType.c	\
	BCCH-BCH-Message.c	\
	MCCH-Message.c	\
	MCCH-MessageType.c	\
	MSCH-Message.c	\
	MSCH-MessageType.c	\
	ActiveSetUpdate.c	\
	ActiveSetUpdate-r3-IEs.c	\
	ActiveSetUpdate-v4b0ext-IEs.c	\
	ActiveSetUpdate-v590ext-IEs.c	\
	ActiveSetUpdate-v690ext-IEs.c	\
	ActiveSetUpdate-r6-IEs.c	\
	ActiveSetUpdateComplete.c	\
	ActiveSetUpdateFailure.c	\
	AssistanceDataDelivery.c	\
	AssistanceDataDelivery-r3-IEs.c	\
	AssistanceDataDelivery-v3a0ext.c	\
	AssistanceDataDelivery-v4b0ext-IEs.c	\
	CellChangeOrderFromUTRAN.c	\
	CellChangeOrderFromUTRAN-r3-IEs.c	\
	CellChangeOrderFromUTRAN-v590ext-IEs.c	\
	CellChangeOrderFromUTRANFailure.c	\
	CellChangeOrderFromUTRANFailure-r3-IEs.c	\
	CellUpdate.c	\
	CellUpdate-v590ext.c	\
	CellUpdate-v690ext-IEs.c	\
	CellUpdate-v7xyext-IEs.c	\
	CellUpdateConfirm.c	\
	CellUpdateConfirm-r3-IEs.c	\
	CellUpdateConfirm-v3a0ext.c	\
	CellUpdateConfirm-v4b0ext-IEs.c	\
	CellUpdateConfirm-v590ext-IEs.c	\
	CellUpdateConfirm-v5d0ext-IEs.c	\
	CellUpdateConfirm-r4-IEs.c	\
	CellUpdateConfirm-r5-IEs.c	\
	CellUpdateConfirm-r6-IEs.c	\
	CellUpdateConfirm-v690ext-IEs.c	\
	CellUpdateConfirm-r7-IEs.c	\
	CellUpdateConfirm-CCCH.c	\
	CounterCheck.c	\
	CounterCheck-r3-IEs.c	\
	CounterCheckResponse.c	\
	DownlinkDirectTransfer.c	\
	DownlinkDirectTransfer-r3-IEs.c	\
	HandoverToUTRANCommand.c	\
	HandoverToUTRANCommand-r3-IEs.c	\
	HandoverToUTRANCommand-r4-IEs.c	\
	HandoverToUTRANCommand-r5-IEs.c	\
	HandoverToUTRANCommand-r6-IEs.c	\
	HandoverToUTRANCommand-r7-IEs.c	\
	HandoverToUTRANComplete.c	\
	InitialDirectTransfer.c	\
	InitialDirectTransfer-v3a0ext.c	\
	InitialDirectTransfer-v590ext.c	\
	InitialDirectTransfer-v690ext-IEs.c	\
	HandoverFromUTRANCommand-GSM.c	\
	HandoverFromUTRANCommand-GSM-r3-IEs.c	\
	HandoverFromUTRANCommand-GSM-r6-IEs.c	\
	HandoverFromUTRANCommand-GSM-v690ext-IEs.c	\
	HandoverFromUTRANCommand-GERANIu.c	\
	HandoverFromUTRANCommand-GERANIu-r5-IEs.c	\
	HandoverFromUTRANCommand-CDMA2000.c	\
	HandoverFromUTRANCommand-CDMA2000-r3-IEs.c	\
	HandoverFromUTRANFailure.c	\
	HandoverFromUtranFailure-v590ext-IEs.c	\
	InterRATHandoverInfo.c	\
	InterRATHandoverInfo-v390ext-IEs.c	\
	InterRATHandoverInfo-v3a0ext-IEs.c	\
	InterRATHandoverInfo-v3d0ext-IEs.c	\
	InterRATHandoverInfo-v3g0ext-IEs.c	\
	InterRATHandoverInfo-r3-add-ext-IEs.c	\
	InterRATHandoverInfo-v4b0ext-IEs.c	\
	InterRATHandoverInfo-v4d0ext-IEs.c	\
	InterRATHandoverInfo-v590ext-IEs.c	\
	InterRATHandoverInfo-v690ext1-IEs.c	\
	InterRATHandoverInfo-v690ext-IEs.c	\
	InterRATHandoverInfo-v7xyext-IEs.c	\
	MeasurementControl.c	\
	MeasurementControl-r3-IEs.c	\
	MeasurementControl-v390ext.c	\
	MeasurementControl-v3a0ext.c	\
	MeasurementControl-r4-IEs.c	\
	MeasurementControl-v590ext-IEs.c	\
	MeasurementControl-v5b0ext-IEs.c	\
	MeasurementControl-r6-IEs.c	\
	MeasurementControl-v6a0ext-IEs.c	\
	MeasurementControl-v7xyext-IEs.c	\
	MeasurementControlFailure.c	\
	MeasurementControlFailure-v590ext-IEs.c	\
	MeasurementReport.c	\
	MeasurementReport-v390ext.c	\
	MeasurementReport-v4b0ext-IEs.c	\
	MeasurementReport-v590ext-IEs.c	\
	MeasurementReport-v5b0ext-IEs.c	\
	MeasurementReport-v690ext-IEs.c	\
	MeasurementReport-v7xyext-IEs.c	\
	PagingType1.c	\
	PagingType1-v590ext-IEs.c	\
	PagingType2.c	\
	PhysicalChannelReconfiguration.c	\
	PhysicalChannelReconfiguration-r3-IEs.c	\
	PhysicalChannelReconfiguration-v3a0ext.c	\
	PhysicalChannelReconfiguration-v4b0ext-IEs.c	\
	PhysicalChannelReconfiguration-v590ext-IEs.c	\
	PhysicalChannelReconfiguration-r4-IEs.c	\
	PhysicalChannelReconfiguration-r5-IEs.c	\
	PhysicalChannelReconfiguration-r6-IEs.c	\
	PhysicalChannelReconfiguration-v690ext-IEs.c	\
	PhysicalChannelReconfiguration-r7-IEs.c	\
	PhysicalChannelReconfigurationComplete.c	\
	PhysicalChannelReconfigurationComplete-v7xyext-IEs.c	\
	PhysicalChannelReconfigurationFailure.c	\
	PhysicalSharedChannelAllocation.c	\
	PhysicalSharedChannelAllocation-r3-IEs.c	\
	PhysicalSharedChannelAllocation-r4-IEs.c	\
	PhysicalSharedChannelAllocation-v690ext-IEs.c	\
	PhysicalSharedChannelAllocation-v7xyext-IEs.c	\
	PUSCHCapacityRequest.c	\
	PUSCHCapacityRequest-v590ext.c	\
	RadioBearerReconfiguration.c	\
	RadioBearerReconfiguration-r3-IEs.c	\
	RadioBearerReconfiguration-v3a0ext.c	\
	RadioBearerReconfiguration-v4b0ext-IEs.c	\
	RadioBearerReconfiguration-v590ext-IEs.c	\
	RadioBearerReconfiguration-v5d0ext-IEs.c	\
	RadioBearerReconfiguration-r4-IEs.c	\
	RadioBearerReconfiguration-r5-IEs.c	\
	RadioBearerReconfiguration-r6-IEs.c	\
	RadioBearerReconfiguration-v690ext-IEs.c	\
	RadioBearerReconfiguration-r7-IEs.c	\
	RadioBearerReconfigurationComplete.c	\
	RadioBearerReconfigurationComplete-v7xyext-IEs.c	\
	RadioBearerReconfigurationFailure.c	\
	RadioBearerRelease.c	\
	RadioBearerRelease-r3-IEs.c	\
	RadioBearerRelease-v3a0ext.c	\
	RadioBearerRelease-v4b0ext-IEs.c	\
	RadioBearerRelease-v590ext-IEs.c	\
	RadioBearerRelease-r4-IEs.c	\
	RadioBearerRelease-r5-IEs.c	\
	RadioBearerRelease-v690ext-IEs.c	\
	RadioBearerRelease-r6-IEs.c	\
	RadioBearerRelease-r7-IEs.c	\
	RadioBearerReleaseComplete.c	\
	RadioBearerReleaseComplete-v7xyext-IEs.c	\
	RadioBearerReleaseFailure.c	\
	RadioBearerSetup.c	\
	RadioBearerSetup-r3-IEs.c	\
	RadioBearerSetup-v3a0ext.c	\
	RadioBearerSetup-v4b0ext-IEs.c	\
	RadioBearerSetup-v590ext-IEs.c	\
	RadioBearerSetup-v5d0ext-IEs.c	\
	RadioBearerSetup-r4-IEs.c	\
	RadioBearerSetup-r5-IEs.c	\
	RadioBearerSetup-v690ext-IEs.c	\
	RadioBearerSetup-r6-IEs.c	\
	RadioBearerSetup-r7-IEs.c	\
	RadioBearerSetupComplete.c	\
	RadioBearerSetupComplete-v7xyext-IEs.c	\
	RadioBearerSetupFailure.c	\
	RRCConnectionReject.c	\
	RRCConnectionReject-r3-IEs.c	\
	RRCConnectionReject-v690ext-IEs.c	\
	RRCConnectionRelease.c	\
	RRCConnectionRelease-r3-IEs.c	\
	RRCConnectionRelease-r4-IEs.c	\
	RRCConnectionRelease-v690ext-IEs.c	\
	RRCConnectionRelease-CCCH.c	\
	RRCConnectionRelease-CCCH-r3-IEs.c	\
	RRCConnectionRelease-CCCH-r4-IEs.c	\
	RRCConnectionRelease-CCCH-r5-IEs.c	\
	RRCConnectionRelease-CCCH-v690ext-IEs.c	\
	RRCConnectionReleaseComplete.c	\
	RRCConnectionRequest.c	\
	RRCConnectionRequest-v3d0ext-IEs.c	\
	RRCConnectionRequest-v4b0ext-IEs.c	\
	RRCConnectionRequest-v590ext-IEs.c	\
	RRCConnectionRequest-v690ext-IEs.c	\
	RRCConnectionSetup.c	\
	RRCConnectionSetup-r3-IEs.c	\
	RRCConnectionSetup-v4b0ext-IEs.c	\
	RRCConnectionSetup-v590ext-IEs.c	\
	RRCConnectionSetup-r4-IEs.c	\
	RRCConnectionSetup-r5-IEs.c	\
	RRCConnectionSetup-v690ext-IEs.c	\
	RRCConnectionSetup-r6-IEs.c	\
	RRCConnectionSetup-r7-IEs.c	\
	RRCConnectionSetup-v7xyext-IEs.c	\
	RRCConnectionSetupComplete.c	\
	RRCConnectionSetupComplete-v370ext.c	\
	RRCConnectionSetupComplete-v380ext-IEs.c	\
	RRCConnectionSetupComplete-v3a0ext-IEs.c	\
	RRCConnectionSetupComplete-v3g0ext-IEs.c	\
	RRCConnectionSetupComplete-r3-add-ext-IEs.c	\
	RRCConnectionSetupComplete-v4b0ext-IEs.c	\
	RRCConnectionSetupComplete-v590ext-IEs.c	\
	RRCConnectionSetupComplete-v5c0ext-IEs.c	\
	RRCConnectionSetupComplete-v650ext-IEs.c	\
	RRCConnectionSetupComplete-v680ext-IEs.c	\
	RRCConnectionSetupComplete-v690ext-IEs.c	\
	RRCConnectionSetupComplete-v7xyext-IEs.c	\
	RRC-FailureInfo.c	\
	RRC-FailureInfo-r3-IEs.c	\
	RRCStatus.c	\
	SecurityModeCommand.c	\
	SecurityModeCommand-r3-IEs.c	\
	SecurityModeComplete.c	\
	SecurityModeFailure.c	\
	SignallingConnectionRelease.c	\
	SignallingConnectionRelease-r3-IEs.c	\
	SignallingConnectionReleaseIndication.c	\
	SystemInformation-BCH.c	\
	SystemInformation-FACH.c	\
	FirstSegment.c	\
	FirstSegmentShort.c	\
	SubsequentSegment.c	\
	LastSegment.c	\
	LastSegmentShort.c	\
	CompleteSIB-List.c	\
	CompleteSIB.c	\
	CompleteSIBshort.c	\
	SystemInformationChangeIndication.c	\
	TransportChannelReconfiguration.c	\
	TransportChannelReconfiguration-r3-IEs.c	\
	TransportChannelReconfiguration-v3a0ext.c	\
	TransportChannelReconfiguration-v4b0ext-IEs.c	\
	TransportChannelReconfiguration-v590ext-IEs.c	\
	TransportChannelReconfiguration-r4-IEs.c	\
	TransportChannelReconfiguration-r5-IEs.c	\
	TransportChannelReconfiguration-v690ext-IEs.c	\
	TransportChannelReconfiguration-r6-IEs.c	\
	TransportChannelReconfiguration-r7-IEs.c	\
	TransportChannelReconfigurationComplete.c	\
	TransportChannelReconfigurationComplete-v7xyext-IEs.c	\
	TransportChannelReconfigurationFailure.c	\
	TransportFormatCombinationControl.c	\
	TransportFormatCombinationControlFailure.c	\
	UECapabilityEnquiry.c	\
	UECapabilityEnquiry-r3-IEs.c	\
	UECapabilityEnquiry-v4b0ext-IEs.c	\
	UECapabilityEnquiry-v590ext-IEs.c	\
	UECapabilityEnquiry-v7xyext-IEs.c	\
	UECapabilityInformation.c	\
	UECapabilityInformation-v370ext.c	\
	UECapabilityInformation-v380ext-IEs.c	\
	UECapabilityInformation-v3a0ext-IEs.c	\
	UECapabilityInformation-r3-add-ext-IEs.c	\
	UECapabilityInformation-v4b0ext.c	\
	UECapabilityInformation-v590ext.c	\
	UECapabilityInformation-v5c0ext.c	\
	UECapabilityInformation-v650ext-IEs.c	\
	UECapabilityInformation-v680ext-IEs.c	\
	UECapabilityInformation-v690ext-IEs.c	\
	UECapabilityInformation-v7xyext-IEs.c	\
	UECapabilityInformationConfirm.c	\
	UECapabilityInformationConfirm-r3-IEs.c	\
	UplinkDirectTransfer.c	\
	UplinkDirectTransfer-v690ext-IEs.c	\
	UplinkPhysicalChannelControl.c	\
	UplinkPhysicalChannelControl-r3-IEs.c	\
	UplinkPhysicalChannelControl-v4b0ext-IEs.c	\
	UplinkPhysicalChannelControl-r4-IEs.c	\
	UplinkPhysicalChannelControl-r5-IEs.c	\
	UplinkPhysicalChannelControl-v690ext-IEs.c	\
	UplinkPhysicalChannelControl-v6a0ext-IEs.c	\
	UplinkPhysicalChannelControl-r7-IEs.c	\
	URAUpdate.c	\
	URAUpdateConfirm.c	\
	URAUpdateConfirm-r3-IEs.c	\
	URAUpdateConfirm-r5-IEs.c	\
	URAUpdateConfirm-v690ext-IEs.c	\
	URAUpdateConfirm-CCCH.c	\
	URAUpdateConfirm-CCCH-r3-IEs.c	\
	UTRANMobilityInformation.c	\
	UTRANMobilityInformation-r3-IEs.c	\
	UTRANMobilityInformation-v3a0ext-IEs.c	\
	UTRANMobilityInformation-r5-IEs.c	\
	UtranMobilityInformation-v690ext-IEs.c	\
	UTRANMobilityInformationConfirm.c	\
	UTRANMobilityInformationFailure.c	\
	MBMSAccessInformation.c	\
	MBMSCommonPTMRBInformation.c	\
	MBMSCurrentCellPTMRBInformation.c	\
	MBMSGeneralInformation.c	\
	MBMSGeneralInformation-v7xyext-IEs.c	\
	MBMSModificationRequest.c	\
	MBMSModifiedServicesInformation.c	\
	MBMSNeighbouringCellPTMRBInformation.c	\
	MBMSSchedulingInformation.c	\
	MBMSUnmodifiedServicesInformation.c	\
	Ansi-41-IDNNS.c	\
	CN-DomainIdentity.c	\
	CN-DomainInformation.c	\
	CN-DomainInformationFull.c	\
	CN-DomainInformationList.c	\
	CN-DomainInformationListFull.c	\
	CN-DomainSysInfo.c	\
	CN-DomainSysInfoList.c	\
	CN-InformationInfo.c	\
	CN-InformationInfo-r6.c	\
	CN-InformationInfoFull.c	\
	Digit.c	\
	Gsm-map-IDNNS.c	\
	IMEI.c	\
	IMEI-Digit.c	\
	IMSI-GSM-MAP.c	\
	IntraDomainNasNodeSelector.c	\
	LAI.c	\
	MCC.c	\
	MNC.c	\
	MultiplePLMN-List-r6.c	\
	NAS-Message.c	\
	NAS-Synchronisation-Indicator.c	\
	NAS-SystemInformationGSM-MAP.c	\
	P-TMSI-GSM-MAP.c	\
	PagingRecordTypeID.c	\
	PLMN-Identity.c	\
	PLMN-IdentityWithOptionalMCC-r6.c	\
	PLMN-Type.c	\
	RAB-Identity.c	\
	RAI.c	\
	RoutingAreaCode.c	\
	RoutingParameter.c	\
	TMSI-GSM-MAP.c	\
	AccessClassBarred.c	\
	AccessClassBarredList.c	\
	AllowedIndicator.c	\
	CellAccessRestriction.c	\
	CellBarred.c	\
	CellIdentity.c	\
	CellIdentity-PerRL-List.c	\
	CellSelectReselectInfoSIB-3-4.c	\
	DomainSpecificAccessRestrictionForSharedNetwork-v670ext.c	\
	DomainSpecificAccessRestrictionList-v670ext.c	\
	DomainSpecificAccessRestrictionParam-v670ext.c	\
	DomainSpecificAccessRestriction-v670ext.c	\
	MapParameter.c	\
	Mapping.c	\
	Mapping-LCR-r4.c	\
	MappingFunctionParameter.c	\
	MappingFunctionParameterList.c	\
	MappingFunctionType.c	\
	MappingInfo.c	\
	Q-Hyst-S.c	\
	Q-Hyst-S-Fine.c	\
	RAT.c	\
	RAT-FDD-Info.c	\
	RAT-FDD-InfoList.c	\
	RAT-Identifier.c	\
	RAT-TDD-Info.c	\
	RAT-TDD-InfoList.c	\
	ReservedIndicator.c	\
	S-SearchQual.c	\
