=== examples/sample.source.TAP3/Makefile ===
ASN_MODULE_SOURCES=	\
	DataInterChange.c	\
	TransferBatch.c	\
	Notification.c	\
	CallEventDetailList.c	\
	CallEventDetail.c	\
	BatchControlInfo.c	\
	AccountingInfo.c	\
	NetworkInfo.c	\
	MessageDescriptionInfoList.c	\
	MobileOriginatedCall.c	\
	MobileTerminatedCall.c	\
	SupplServiceEvent.c	\
	ServiceCentreUsage.c	\
	GprsCall.c	\
	ContentTransaction.c	\
	LocationService.c	\
	AuditControlInfo.c	\
	AccessPointNameNI.c	\
	AccessPointNameOI.c	\
	ActualDeliveryTimeStamp.c	\
	AddressStringDigits.c	\
	AdvisedCharge.c	\
	AdvisedChargeCurrency.c	\
	AdvisedChargeInformation.c	\
	AgeOfLocation.c	\
	BasicService.c	\
	BasicServiceCode.c	\
	BasicServiceCodeList.c	\
	BasicServiceUsed.c	\
	BasicServiceUsedList.c	\
	BearerServiceCode.c	\
	CalledNumber.c	\
	CalledPlace.c	\
	CalledRegion.c	\
	CallEventDetailsCount.c	\
	CallEventStartTimeStamp.c	\
	CallingNumber.c	\
	CallOriginator.c	\
	CallReference.c	\
	CallTypeGroup.c	\
	CallTypeLevel1.c	\
	CallTypeLevel2.c	\
	CallTypeLevel3.c	\
	CamelDestinationNumber.c	\
	CamelInvocationFee.c	\
	CamelServiceKey.c	\
	CamelServiceLevel.c	\
	CamelServiceUsed.c	\
	CauseForTerm.c	\
	CellId.c	\
	Charge.c	\
	ChargeableSubscriber.c	\
	ChargeableUnits.c	\
	ChargeDetail.c	\
	ChargeDetailList.c	\
	ChargeDetailTimeStamp.c	\
	ChargedItem.c	\
	ChargedPartyEquipment.c	\
	ChargedPartyHomeIdentification.c	\
	ChargedPartyHomeIdList.c	\
	ChargedPartyIdentification.c	\
	ChargedPartyIdentifier.c	\
	ChargedPartyIdList.c	\
	ChargedPartyIdType.c	\
	ChargedPartyInformation.c	\
	ChargedPartyLocation.c	\
	ChargedPartyLocationList.c	\
	ChargedPartyStatus.c	\
	ChargedUnits.c	\
	ChargeInformation.c	\
	ChargeInformationList.c	\
	ChargeRefundIndicator.c	\
	ChargeType.c	\
	ChargingId.c	\
	ChargingPoint.c	\
	ChargingTimeStamp.c	\
	ClirIndicator.c	\
	Commission.c	\
	CompletionTimeStamp.c	\
	ContentChargingPoint.c	\
	ContentProvider.c	\
	ContentProviderIdentifier.c	\
	ContentProviderIdList.c	\
	ContentProviderIdType.c	\
	ContentProviderName.c	\
	ContentServiceUsed.c	\
	ContentServiceUsedList.c	\
	ContentTransactionBasicInfo.c	\
	ContentTransactionCode.c	\
	ContentTransactionType.c	\
	CseInformation.c	\
	CurrencyConversion.c	\
	CurrencyConversionList.c	\
	CustomerIdentifier.c	\
	CustomerIdType.c	\
	DataVolume.c	\
	DataVolumeIncoming.c	\
	DataVolumeOutgoing.c	\
	DateTime.c	\
	DateTimeLong.c	\
	DefaultCallHandlingIndicator.c	\
	DepositTimeStamp.c	\
	Destination.c	\
	DestinationNetwork.c	\
	DialledDigits.c	\
	Discount.c	\
	DiscountableAmount.c	\
	DiscountApplied.c	\
	DiscountCode.c	\
	DiscountInformation.c	\
	Discounting.c	\
	DiscountingList.c	\
	DiscountRate.c	\
	DiscountValue.c	\
	DistanceChargeBandCode.c	\
	EarliestCallTimeStamp.c	\
	EquipmentId.c	\
	EquipmentIdType.c	\
	Esn.c	\
	ExchangeRate.c	\
	ExchangeRateCode.c	\
	FileAvailableTimeStamp.c	\
	FileCreationTimeStamp.c	\
	FileSequenceNumber.c	\
	FileTypeIndicator.c	\
	FixedDiscountValue.c	\
	Fnur.c	\
	GeographicalLocation.c	\
	GprsBasicCallInformation.c	\
	GprsChargeableSubscriber.c	\
	GprsDestination.c	\
	GprsLocationInformation.c	\
	GprsNetworkLocation.c	\
	GprsServiceUsed.c	\
	GsmChargeableSubscriber.c	\
	GuaranteedBitRate.c	\
	HomeBid.c	\
	HomeIdentifier.c	\
	HomeIdType.c	\
	HomeLocationDescription.c	\
	HomeLocationInformation.c	\
	HorizontalAccuracyDelivered.c	\
	HorizontalAccuracyRequested.c	\
	HSCSDIndicator.c	\
	Imei.c	\
	ImeiOrEsn.c	\
	Imsi.c	\
	IMSSignallingContext.c	\
	InternetServiceProvider.c	\
	InternetServiceProviderIdList.c	\
	IspIdentifier.c	\
	IspIdType.c	\
	ISPList.c	\
	NetworkIdType.c	\
	NetworkIdentifier.c	\
	Network.c	\
	NetworkList.c	\
	LatestCallTimeStamp.c	\
	LCSQosDelivered.c	\
	LCSQosRequested.c	\
	LCSRequestTimestamp.c	\
	LCSSPIdentification.c	\
	LCSSPIdentificationList.c	\
	LCSSPInformation.c	\
	LCSTransactionStatus.c	\
	LocalCurrency.c	\
	LocalTimeStamp.c	\
	LocationArea.c	\
	LocationDescription.c	\
	LocationIdentifier.c	\
	LocationIdType.c	\
	LocationInformation.c	\
	LocationServiceUsage.c	\
	MaximumBitRate.c	\
	Mdn.c	\
	MessageDescription.c	\
	MessageDescriptionCode.c	\
	MessageDescriptionInformation.c	\
	MessageStatus.c	\
	MessageType.c	\
	Min.c	\
	MinChargeableSubscriber.c	\
	MoBasicCallInformation.c	\
	Msisdn.c	\
	MtBasicCallInformation.c	\
	NetworkAccessIdentifier.c	\
	NetworkId.c	\
	NetworkInitPDPContext.c	\
	NetworkLocation.c	\
	NonChargedNumber.c	\
	NumberOfDecimalPlaces.c	\
	ObjectType.c	\
	OperatorSpecInfoList.c	\
	OperatorSpecInformation.c	\
	OrderPlacedTimeStamp.c	\
	OriginatingNetwork.c	\
	PacketDataProtocolAddress.c	\
	PaidIndicator.c	\
	PartialTypeIndicator.c	\
	PaymentMethod.c	\
	PdpAddress.c	\
	PDPContextStartTimestamp.c	\
	PlmnId.c	\
	PositioningMethod.c	\
	PriorityCode.c	\
	RapFileSequenceNumber.c	\
	RecEntityCode.c	\
	RecEntityCodeList.c	\
	RecEntityId.c	\
	RecEntityInfoList.c	\
	RecEntityInformation.c	\
	RecEntityType.c	\
	Recipient.c	\
	ReleaseVersionNumber.c	\
	RequestedDeliveryTimeStamp.c	\
	ResponseTime.c	\
	ResponseTimeCategory.c	\
	ScuBasicInformation.c	\
	ScuChargeType.c	\
	ScuTimeStamps.c	\
	ScuChargeableSubscriber.c	\
	Sender.c	\
	ServingBid.c	\
	ServingLocationDescription.c	\
	ServingNetwork.c	\
	ServingPartiesInformation.c	\
	SimChargeableSubscriber.c	\
	SimToolkitIndicator.c	\
	SMSDestinationNumber.c	\
	SMSOriginator.c	\
	SpecificationVersionNumber.c	\
	SsParameters.c	\
	SupplServiceActionCode.c	\
	SupplServiceCode.c	\
	SupplServiceUsed.c	\
	TapCurrency.c	\
	TapDecimalPlaces.c	\
	TaxableAmount.c	\
	Taxation.c	\
	TaxationList.c	\
	TaxCode.c	\
	TaxInformation.c	\
	TaxInformationList.c	\
	TaxRate.c	\
	TaxType.c	\
	TaxValue.c	\
	TeleServiceCode.c	\
	ThirdPartyInformation.c	\
	ThirdPartyNumber.c	\
	ThreeGcamelDestination.c	\
	TotalAdvisedCharge.c	\
	TotalAdvisedChargeRefund.c	\
	TotalAdvisedChargeValue.c	\
	TotalAdvisedChargeValueList.c	\
	TotalCallEventDuration.c	\
	TotalCharge.c	\
	TotalChargeRefund.c	\
	TotalCommission.c	\
	TotalCommissionRefund.c	\
	TotalDataVolume.c	\
	TotalDiscountRefund.c	\
	TotalDiscountValue.c	\
	TotalTaxRefund.c	\
	TotalTaxValue.c	\
	TotalTransactionDuration.c	\
	TrackedCustomerEquipment.c	\
	TrackedCustomerHomeId.c	\
	TrackedCustomerHomeIdList.c	\
	TrackedCustomerIdentification.c	\
	TrackedCustomerIdList.c	\
	TrackedCustomerInformation.c	\
	TrackedCustomerLocation.c	\
	TrackedCustomerLocList.c	\
	TrackingCustomerEquipment.c	\
	TrackingCustomerHomeId.c	\
	TrackingCustomerHomeIdList.c	\
	TrackingCustomerIdentification.c	\
	TrackingCustomerIdList.c	\
	TrackingCustomerInformation.c	\
	TrackingCustomerLocation.c	\
	TrackingCustomerLocList.c	\
	TrackingFrequency.c	\
	TrackingPeriod.c	\
	TransactionAuthCode.c	\
	TransactionDescriptionSupp.c	\
	TransactionDetailDescription.c	\
	TransactionIdentifier.c	\
	TransactionShortDescription.c	\
	TransactionStatus.c	\
	TransferCutOffTimeStamp.c	\
	TransparencyIndicator.c	\
	UserProtocolIndicator.c	\
	UtcTimeOffset.c	\
	UtcTimeOffsetCode.c	\
	UtcTimeOffsetInfo.c	\
	UtcTimeOffsetInfoList.c	\
	VerticalAccuracyDelivered.c	\
	VerticalAccuracyRequested.c	\
	AbsoluteAmount.c	\
	Bid.c	\
	Code.c	\
	AsciiString.c	\
	BCDString.c	\
	Currency.c	\
	HexString.c	\
	NumberString.c	\
	PercentageRate.c

ASN_MODULE_HEADERS=	\
	DataInterChange.h	\
	TransferBatch.h	\
	Notification.h	\
	CallEventDetailList.h	\
	CallEventDetail.h	\
	BatchControlInfo.h	\
	AccountingInfo.h	\
	NetworkInfo.h	\
	MessageDescriptionInfoList.h	\
	MobileOriginatedCall.h	\
	MobileTerminatedCall.h	\
	SupplServiceEvent.h	\
	ServiceCentreUsage.h	\
	GprsCall.h	\
	ContentTransaction.h	\
	LocationService.h	\
	AuditControlInfo.h	\
	AccessPointNameNI.h	\
	AccessPointNameOI.h	\
	ActualDeliveryTimeStamp.h	\
	AddressStringDigits.h	\
	AdvisedCharge.h	\
	AdvisedChargeCurrency.h	\
	AdvisedChargeInformation.h	\
	AgeOfLocation.h	\
	BasicService.h	\
	BasicServiceCode.h	\
	BasicServiceCodeList.h	\
	BasicServiceUsed.h	\
	BasicServiceUsedList.h	\
	BearerServiceCode.h	\
	CalledNumber.h	\
	CalledPlace.h	\
	CalledRegion.h	\
	CallEventDetailsCount.h	\
	CallEventStartTimeStamp.h	\
	CallingNumber.h	\
	CallOriginator.h	\
	CallReference.h	\
	CallTypeGroup.h	\
	CallTypeLevel1.h	\
	CallTypeLevel2.h	\
	CallTypeLevel3.h	\
	CamelDestinationNumber.h	\
	CamelInvocationFee.h	\
	CamelServiceKey.h	\
	CamelServiceLevel.h	\
	CamelServiceUsed.h	\
	CauseForTerm.h	\
	CellId.h	\
	Charge.h	\
	ChargeableSubscriber.h	\
	ChargeableUnits.h	\
	ChargeDetail.h	\
	ChargeDetailList.h	\
	ChargeDetailTimeStamp.h	\
	ChargedItem.h	\
	ChargedPartyEquipment.h	\
	ChargedPartyHomeIdentification.h	\
	ChargedPartyHomeIdList.h	\
	ChargedPartyIdentification.h	\
	ChargedPartyIdentifier.h	\
	ChargedPartyIdList.h	\
	ChargedPartyIdType.h	\
	ChargedPartyInformation.h	\
	ChargedPartyLocation.h	\
	ChargedPartyLocationList.h	\
	ChargedPartyStatus.h	\
	ChargedUnits.h	\
	ChargeInformation.h	\
	ChargeInformationList.h	\
	ChargeRefundIndicator.h	\
	ChargeType.h	\
	ChargingId.h	\
	ChargingPoint.h	\
	ChargingTimeStamp.h	\
	ClirIndicator.h	\
	Commission.h	\
	CompletionTimeStamp.h	\
	ContentChargingPoint.h	\
	ContentProvider.h	\
	ContentProviderIdentifier.h	\
	ContentProviderIdList.h	\
	ContentProviderIdType.h	\
	ContentProviderName.h	\
	ContentServiceUsed.h	\
	ContentServiceUsedList.h	\
	ContentTransactionBasicInfo.h	\
	ContentTransactionCode.h	\
	ContentTransactionType.h	\
	CseInformation.h	\
	CurrencyConversion.h	\
	CurrencyConversionList.h	\
	CustomerIdentifier.h	\
	CustomerIdType.h	\
	DataVolume.h	\
	DataVolumeIncoming.h	\
	DataVolumeOutgoing.h	\
	DateTime.h	\
	DateTimeLong.h	\
	DefaultCallHandlingIndicator.h	\
	DepositTimeStamp.h	\
	Destination.h	\
	DestinationNetwork.h	\
	DialledDigits.h	\
	Discount.h	\
	DiscountableAmount.h	\
	DiscountApplied.h	\
	DiscountCode.h	\
	DiscountInformation.h	\
	Discounting.h	\
	DiscountingList.h	\
	DiscountRate.h	\
	DiscountValue.h	\
	DistanceChargeBandCode.h	\
	EarliestCallTimeStamp.h	\
	EquipmentId.h	\
	EquipmentIdType.h	\
	Esn.h	\
	ExchangeRate.h	\
	ExchangeRateCode.h	\
	FileAvailableTimeStamp.h	\
	FileCreationTimeStamp.h	\
	FileSequenceNumber.h	\
	FileTypeIndicator.h	\
	FixedDiscountValue.h	\
	Fnur.h	\
	GeographicalLocation.h	\
	GprsBasicCallInformation.h	\
	GprsChargeableSubscriber.h	\
	GprsDestination.h	\
	GprsLocationInformation.h	\
	GprsNetworkLocation.h	\
	GprsServiceUsed.h	\
	GsmChargeableSubscriber.h	\
	GuaranteedBitRate.h	\
	HomeBid.h	\
	HomeIdentifier.h	\
	HomeIdType.h	\
	HomeLocationDescription.h	\
	HomeLocationInformation.h	\
	HorizontalAccuracyDelivered.h	\
	HorizontalAccuracyRequested.h	\
	HSCSDIndicator.h	\
	Imei.h	\
	ImeiOrEsn.h	\
	Imsi.h	\
	IMSSignallingContext.h	\
	InternetServiceProvider.h	\
	InternetServiceProviderIdList.h	\
	IspIdentifier.h	\
	IspIdType.h	\
	ISPList.h	\
	NetworkIdType.h	\
	NetworkIdentifier.h	\
	Network.h	\
	NetworkList.h	\
	LatestCallTimeStamp.h	\
	LCSQosDelivered.h	\
	LCSQosRequested.h	\
	LCSRequestTimestamp.h	\
	LCSSPIdentification.h	\
	LCSSPIdentificationList.h	\
	LCSSPInformation.h	\
	LCSTransactionStatus.h	\
	LocalCurrency.h	\
	LocalTimeStamp.h	\
	LocationArea.h	\
	LocationDescription.h	\
	LocationIdentifier.h	\
	LocationIdType.h	\
	LocationInformation.h	\
	LocationServiceUsage.h	\
	MaximumBitRate.h	\
	Mdn.h	\
	MessageDescription.h	\
	MessageDescriptionCode.h	\
	MessageDescriptionInformation.h	\
	MessageStatus.h	\
	MessageType.h	\
	Min.h	\
	MinChargeableSubscriber.h	\
	MoBasicCallInformation.h	\
	Msisdn.h	\
	MtBasicCallInformation.h	\
	NetworkAccessIdentifier.h	\
	NetworkId.h	\
	NetworkInitPDPContext.h	\
	NetworkLocation.h	\
	NonChargedNumber.h	\
	NumberOfDecimalPlaces.h	\
	ObjectType.h	\
	OperatorSpecInfoList.h	\
	OperatorSpecInformation.h	\
	OrderPlacedTimeStamp.h	\
	OriginatingNetwork.h	\
	PacketDataProtocolAddress.h	\
	PaidIndicator.h	\
	PartialTypeIndicator.h	\
	PaymentMethod.h	\
	PdpAddress.h	\
	PDPContextStartTimestamp.h	\
	PlmnId.h	\
	PositioningMethod.h	\
	PriorityCode.h	\
	RapFileSequenceNumber.h	\
	RecEntityCode.h	\
	RecEntityCodeList.h	\
	RecEntityId.h	\
	RecEntityInfoList.h	\
	RecEntityInformation.h	\
	RecEntityType.h	\
	Recipient.h	\
	ReleaseVersionNumber.h	\
	RequestedDeliveryTimeStamp.h	\
	ResponseTime.h	\
	ResponseTimeCategory.h	\
