=== debian/changelog ===
asn1c (0.9.28+dfsg-5) unstable; urgency=medium

  * Update package transitions (closes: #1016385)

 -- Eugene Seliverstov <theirix@gmail.com>  Mon, 01 Aug 2022 09:49:37 +0000

asn1c (0.9.28+dfsg-4) unstable; urgency=medium

  * Add DFSG-clean sources to upstream branch
  * Fix FTBFS on GCC 12 (closes: #1012896)
  * Fix copyright insecure URL
  * Sync debian copyright year
  * Add Files-Excluded to explain removed non-dfsg files
  * Clean whitespaces in changelog
  * Switch to uscan-based repacking
  * Add upstream/metadata file
  * Move additional documentation to asn1c-doc
  * Mark not-installed doc files
  * Add lintian override for non-doc README files
  * Switch to compat level 13
  * Update Standards-Version to 4.6.1
  * Add Forwarded status for some patches
  * Enable hardening
  * Bump new version
  * Use only debhelper-compat

 -- Eugene Seliverstov <theirix@gmail.com>  Thu, 28 Jul 2022 18:15:19 +0000

asn1c (0.9.28+dfsg-3) unstable; urgency=medium

   Moved to git and salsa
  * Use priority:optional

 -- Eugene Seliverstov <theirix@gmail.com>  Sat, 29 Sep 2018 14:42:03 +0300

asn1c (0.9.28+dfsg-2) unstable; urgency=medium

  * Fixed test failure on ppc64el (closes: #871815)
  * Updated debhelper compat to 10
  * Updated policy version to 4.1.0

 -- Eugene Seliverstov <theirix@gmail.com>  Tue, 22 Aug 2017 22:03:01 +0300

asn1c (0.9.28+dfsg-1) unstable; urgency=medium

  * Fixed dependency on texlive-math-extra (closes: #867065)
  * New upstream release 0.9.28
  * Updated policy version to 4.0.0
  * Removed obsolete patch 13_manmacro
  * Updated patches to fulfil build scripts

 -- Eugene Seliverstov <theirix@gmail.com>  Mon, 31 Jul 2017 20:20:00 +0300
