=== debian/control ===
Source: asn1c
Section: devel
Priority: optional
Maintainer: Eugene Seliverstov <theirix@gmail.com>
Build-Depends: debhelper-compat (= 13), flex
Build-Depends-Indep: texlive, texlive-xetex, texlive-luatex, texlive-fonts-extra, texlive-science, lmodern
Standards-Version: 4.6.1
Homepage: https://github.com/vlm/asn1c
Vcs-Git: https://salsa.debian.org/theirix-guest/asn1c.git
Vcs-Browser: https://salsa.debian.org/theirix-guest/asn1c

Package: asn1c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: asn1c-doc (>= 0.9.28+dfsg-5)
Breaks: asn1c-doc (<< 0.9.28+dfsg-5)
Description: ASN.1 compiler for C
 This ASN.1 compiler turns the formal ASN.1 specifications into the C
 code. The compiler is shipped together with conformant BER/DER/XER
 codecs. The X.509 and GSM TAP3 decoding examples are shipped as well.

Package: asn1c-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: asn1c (<< 0.9.28+dfsg-5)
Breaks: asn1c (<< 0.9.28+dfsg-5)
Description: Documentation for asn1c
 This ASN.1 compiler turns the formal ASN.1 specifications into the C
 code. The compiler is shipped together with conformant BER/DER/XER
 codecs. The X.509 and GSM TAP3 decoding examples are shipped as well.
 .
 This package contains documentation for asn1c.
