=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf asn1c/tests/test-check-*
	-rm -f doc/docsrc/*.pdf
	-rm -f doc/docsrc/asn1c-usage.xdv

# Regenerate documentation only for asn1c-doc architecture-independent build
override_dh_auto_build-indep:
	$(MAKE) -C doc/docsrc regen

override_dh_auto_install-indep:
	dh_auto_install --indep
	# copy documentation from source directory because it is not installed by default
	mkdir -p debian/tmp/usr/share/doc/asn1c-doc/
	cp -v doc/docsrc/*.pdf debian/tmp/usr/share/doc/asn1c-doc/
	rm -f debian/tmp/usr/bin/*.pl
	rm -f debian/tmp/usr/share/doc/asn1c/COPYING
	rm -f debian/tmp/usr/share/doc/asn1c/ChangeLog

override_dh_auto_install-arch:
	dh_auto_install --arch
	rm -f debian/tmp/usr/bin/*.pl
	rm -f debian/tmp/usr/share/doc/asn1c/COPYING
	rm -f debian/tmp/usr/share/doc/asn1c/ChangeLog
